:root {
    --font-main: 'Poppins', sans-serif;
    --bg-color: #191e01;
    --text-color: #333;
    --link-color: #018674;
    --link-hover-color: #014d47;
    --card-bg: hsla(0, 0%, 100%, 0.85);
    --card-bg-alt: hsla(0, 0%, 100%, 0.82);
    --box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    --table-border: hsl(0deg 0% 0% / 36%);
    --table-border-light: hsl(0deg 0% 0% / 16%);
    --even-row-bg: hsl(0deg 0% 67.86% / 10%);
    --odd-row-bg: hsl(0deg 0% 100% / 10%);
}

body {
    font-family: var(--font-main);
    background: var(--bg-color) url("../img/bg-desk.webp") no-repeat top center;
    color: var(--text-color);
    margin: 0;
    padding-top: 263px;
    font-size: 15px;
    display: flex;
}

/* Kontejner */
.container {
    max-width: 950px;
    margin: 0 auto;
    padding: 10px;
}

/* Karta */
.card {
    border-radius: 15px;
    background-color: var(--card-bg);
    box-shadow: var(--box-shadow);
    padding: 40px;
}

/* Texty */
h1 {
    font-size: 1.9rem;
    font-weight: 700;
    margin: 0;
    line-height: 1.3;
}

h2 {
    font-size: 1.6rem;
    font-weight: 500;
    color: #444;
    margin: 0;
}

p {
    font-size: 1rem;
    color: #555;
    line-height: 1.7;
}

p i, td i {
    padding-right: 2px;
    width: 23px;
    margin: auto;
    text-align: center;
}

a i {border: none !important}

a {
    color: var(--link-color);
    text-decoration: none;
    transition: 0.3s;
    border-bottom: 1px dotted
}

a:hover {
    color: var(--link-hover-color);
    border-bottom: 1px solid
}

article {
    margin-bottom: 30px;
}

/* Galerie */
.gallery {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    float: left;
}

.gallery img {
    width: 140px;
    height: auto;
    border-radius: 100%;
    cursor: pointer;
    transition: 0.2s;
    margin: 0 20px 30px 0;
    border: 3px solid var(--link-color);
    padding: 3px;
}

.gallery a {border: none}

.gallery img:hover {
    filter: grayscale(0);
    border: 3px solid var(--link-hover-color);

}

/* Responzivní stylování */
@media (max-width: 1400px) {
    .card {
        background-color: var(--card-bg-alt);
        padding: 20px;
    }
}

@media (max-width: 576px) {
    body {
    background: var(--bg-color) url("../img/bg-mobi.webp") no-repeat top center !important;
    }
    h1 {
        font-size: 1.5rem;padding-top:20px
    }    
    h2 {
        font-size: 1.0rem;
    }
}

/* Footer */
footer {
    text-align: center;
    font-size: 12px;
    padding-top: 10px;
    color: #fff;
}

footer a {
    color: #fff !important;
}

footer a:hover {
    cursor: pointer;
}

/* Tabulky */
table {
    border-collapse: collapse;
    font-size: 12px;
    width: 100%;
}

table td {
    border: 1px solid var(--table-border);
    padding: 3px;
}

table td.strong {
    font-weight: 700;
    width: 135px;
    font-size: 1rem;
    padding: 5px 8px;
}

table.info {
    border: none;
    font-size: 1rem;
    width: 100%;
}

table.info td {
    border: 1px solid var(--table-border-light);
    padding: 5px 8px;
}

table.info img {
    height: 13px;
    position: relative;
    top: 1px;
}

/* Tlačítka */
.button {
    background: var(--link-color);
    color: #fff !important;
    font-size: 12px !important;
    padding: 5px 2px 5px 10px;
    border-radius: 5px;
    margin-left: 20px;
    transition: 0.3s;
    position: relative;
    top: -1px;
    border: none !important
}

.button:hover {
    background: var(--link-hover-color);
    text-decoration: none;
    border-radius: 50px
}

i.normal {
    width: auto;
    text-align: left;
    padding-right: 5px;
}

/* Řádky tabulek */
table.info tr:nth-child(even), table td.title {
    background-color: var(--even-row-bg);
}

table.info tr:nth-child(odd) {
    background-color: var(--odd-row-bg);
}
